Universes Management

Create Universe

Create a new universe

POST
https://api.textreveal.com/v3/universes

Request

Request Body

  • name*string

    Name of the universe.

    Example: "Tech Asian companies"
  • type*string (enum)

    Universe kind.

    • PRIVATE: visible to the owners, to the users with account management rights and to the users it is shared with.

    • SHARED: also shared with an organization.

    • SESAMM: managed by SESAMm, no owner, only SESAMm admins can manage it.

    What the caller may do is given by access_level.

    Values: "PRIVATE", "SHARED", "SESAMM"
  • owneruuid | null

    Identifier of the user who will own the universe (admin only, defaults to the current user). Ignored for a SESAMM universe.

  • organizationuuid

    With which organization the universe is shared

  • companyuuid(deprecated)

    Deprecated alias of organization. If both are specified, they must be equal.

  • descriptionstring | null

    Description of the universe

    Example: "The Asian companies that are in the Tech sector"
Request
{
  "name": "Tech Asian companies",
  "type": "PRIVATE",
  "owner": "00000000-0000-0000-0000-000000000000",
  "organization": "00000000-0000-0000-0000-000000000000",
  "company": "00000000-0000-0000-0000-000000000000",
  "description": "The Asian companies that are in the Tech sector"
}

Response

Response - 201

Universe successfully created

  • universe_id*uuid

    Unique identifier of the universe.

    Example: "75ebc096-749e-4b8f-b690-df13daf49c62"
Response
{
  "universe_id": "75ebc096-749e-4b8f-b690-df13daf49c62"
}

Error

Error - 400

Bad request

  • message*string

    Error message.

    Example: "Check the errors field for more details"
  • code*number (enum)

    Error code.

    Values: 400
  • reason*string (enum)

    Error reason.

    Values: "invalid"
  • errorsobject[]

    Possible error causes.

    Array length: [1, ∞]
Response
{
  "message": "Check the errors field for more details",
  "code": 400,
  "reason": "invalid",
  "errors": [
    {
      "message": "string",
      "field": "name",
      "reason": "invalid_type"
    }
  ]
}

Error - 403

Forbidden

  • message*string

    Error message.

    Example: "The target of this access grant is not eligible to receive it."
  • code*number (enum)

    Error code.

    Values: 403
  • reason*string (enum)

    Error reason.

    Values: "forbidden"
Response
{
  "message": "The target of this access grant is not eligible to receive it.",
  "code": 403,
  "reason": "forbidden"
}

Error - 404

Not found

  • message*string

    Error message.

    Example: "The requested universe does not exist or is not visible to your organization."
  • code*number (enum)

    Error code.

    Values: 404
  • reason*string (enum)

    Error reason.

    Values: "not_found"
Response
{
  "message": "The requested universe does not exist or is not visible to your organization.",
  "code": 404,
  "reason": "not_found"
}

Generic errors are not shown, see Errors for more details.